#!/bin/sh

set -ex

# determine that total number of CPUs
CPUS=$(lscpu | grep 'CPU(s):' | head -n 1 | awk -F ':' '{print $2}' | awk '{$1=$1};1')

# run fuzzers in the background
./png corpus -workers="$CPUS" -jobs="$CPUS" &

# get any background jobs
JOBS=`jobs -p`

# wait for log files to be created
sleep 5

# tail all the jobs in the background (will not wait to complete)
tail -f *.log &

# wait for all the fuzzing background jobs to complete
for job in $JOBS; do
    wait $job
done

# exit with successful status
exit 0